Debian Bug report logs - #577513
libdbd-sybase-perl: DBI/DBD internal version mismatch

version graph

Package: libdbd-sybase-perl; Maintainer for libdbd-sybase-perl is Steve Langasek <vorlon@debian.org>; Source for libdbd-sybase-perl is src:libdbd-sybase-perl.

Reported by: eyck <eyck.debian@kuszelas.eu>

Date: Mon, 12 Apr 2010 11:15:02 UTC

Severity: important

Tags: patch, sid, squeeze, wheezy

Found in version libdbd-sybase-perl/1.00-3

Fixed in version libdbd-sybase-perl/1.09-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#577513; Package libdbd-sybase-perl. (Mon, 12 Apr 2010 11:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to eyck <eyck.debian@kuszelas.eu>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 12 Apr 2010 11:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: eyck <eyck.debian@kuszelas.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Mon, 12 Apr 2010 12:49:24 +0200
Package: libdbd-sybase-perl
Version: 1.00-3+b3
Severity: grave
Tags: squeeze
Justification: renders package unusable

Trying to use package results in:

DBI/DBD internal version mismatch (DBI is v94/s208, DBD Sybase.xsi expected v95/s208) you probably need to rebuild the DBD driver (or possibly the DBI).

reverting to libdbd-sybase-perl_1.00-3+b2_amd64 returns situation to normal

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32.8 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/dash

Versions of packages libdbd-sybase-perl depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libct4                        0.82-6     libraries for connecting to MS SQL
ii  libdbi-perl                   1.609-1    Perl Database Interface (DBI)
ii  perl                          5.10.1-11  Larry Wall's Practical Extraction
ii  perl-base [perlapi-5.10.1]    5.10.1-11  minimal Perl system

libdbd-sybase-perl recommends no packages.

libdbd-sybase-perl suggests no packages.

-- no debconf information




Added tag(s) sid. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sun, 18 Apr 2010 13:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#577513; Package libdbd-sybase-perl. (Sun, 18 Apr 2010 14:10:37 GMT) Full text and rfc822 format available.

Message #10 received at 577513@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 577513@bugs.debian.org
Subject: Re: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Sun, 18 Apr 2010 22:51:41 +0900
package libdbd-sybase-perl
tags 577513 + sid
thanks

Hi,

see [1] for the plans how to address this bug.  The package needs a
dependency on perl-dbdabi-* as provided by libdbi-perl.  The latest
version of libdbi-api-perl (>= 1.610.90+is+1.609-1~) include a makefile
snippet in /usr/share/libdbi-perl that provide the required information.

Please wait with uploading the fix until the current binNMUs (+b4) have
migrated to testing in a few days.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#577513; Package libdbd-sybase-perl. (Sat, 24 Apr 2010 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sat, 24 Apr 2010 08:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 577513@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 577513@bugs.debian.org
Subject: Re: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Sat, 24 Apr 2010 17:35:03 +0900
[Message part 1 (text/plain, inline)]
package libdbd-sybase-perl
tags 577513 + patch
thanks

Hi,

as the binNMUs have reached testing by now, libdbd-sybase-perl can be
updated to add a dependency on perl-dbdabi-*.  I have prepared a patch
to do this.  It also resolves several of lintian's warnings about the
packaging.

Regards,
Ansgar
[577513.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Sat, 24 Apr 2010 08:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#577513; Package libdbd-sybase-perl. (Sat, 17 Jul 2010 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sat, 17 Jul 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 577513@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Ansgar Burchardt <ansgar@43-1.org>, 577513@bugs.debian.org
Subject: Re: Bug#577513: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Sat, 17 Jul 2010 17:50:12 +0200
[Message part 1 (text/plain, inline)]
On Sat, 24 Apr 2010 17:35:03 +0900, Ansgar Burchardt wrote:

> as the binNMUs have reached testing by now, libdbd-sybase-perl can be
> updated to add a dependency on perl-dbdabi-*.  I have prepared a patch
> to do this.  It also resolves several of lintian's warnings about the
> packaging.

Hi Steve,

I wanted to ask about your plans for this bug. Is there anything else
we (as in: the Debian Perl Group) can do? Would you like me to upload
the package with Ansgar's patch? Anything else?

Cheers,
gregor 

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #71:  The file system is full of it 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#577513; Package libdbd-sybase-perl. (Sun, 18 Jul 2010 10:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Sun, 18 Jul 2010 10:30:02 GMT) Full text and rfc822 format available.

Message #27 received at 577513@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: gregor herrmann <gregoa@debian.org>, 577513@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@43-1.org>
Subject: Re: Bug#577513: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Sun, 18 Jul 2010 12:28:37 +0200
[Message part 1 (text/plain, inline)]
Hi Gregor,

On Sat, Jul 17, 2010 at 05:50:12PM +0200, gregor herrmann wrote:
> On Sat, 24 Apr 2010 17:35:03 +0900, Ansgar Burchardt wrote:

> > as the binNMUs have reached testing by now, libdbd-sybase-perl can be
> > updated to add a dependency on perl-dbdabi-*.  I have prepared a patch
> > to do this.  It also resolves several of lintian's warnings about the
> > packaging.

> I wanted to ask about your plans for this bug. Is there anything else
> we (as in: the Debian Perl Group) can do? Would you like me to upload
> the package with Ansgar's patch? Anything else?

I've been postponing dealing with this bug, hoping that someone in the
Debian Perl Group would spontaneously provide a better interface for this
than the current one.  The perl-dbdabi-* virtual package seems sensible
enough, but I'm not happy about including external makefiles in my
debian/rules.  Could you please provide a dh_* command for this that adds
the value to the existing ${misc:Depends} variable?

Also, why does libdbd-sybase-perl need to depend on *both* libdbi-perl *an*
perl-dbdabi-*, given that the latter is provided by the former?  Depending
on libdbi-perl looks quite redundant to me.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#577513; Package libdbd-sybase-perl. (Mon, 19 Jul 2010 03:30:02 GMT) Full text and rfc822 format available.

Message #30 received at 577513@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 577513@bugs.debian.org
Subject: Re: Bug#577513: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Mon, 19 Jul 2010 12:25:53 +0900
Hi,

Steve Langasek <vorlon@debian.org> writes:

> I've been postponing dealing with this bug, hoping that someone in the
> Debian Perl Group would spontaneously provide a better interface for this
> than the current one.  The perl-dbdabi-* virtual package seems sensible
> enough, but I'm not happy about including external makefiles in my
> debian/rules.  Could you please provide a dh_* command for this that adds
> the value to the existing ${misc:Depends} variable?

A dh_perl_dbi command and a perl_dbi addon for dh have been included in
libdbi-perl_1.612-1.  They add the required dependency to
${perl:Depends} (which is already used by dh_perl).

See also /usr/share/doc/libdbi-perl/README.Debian.

> Also, why does libdbd-sybase-perl need to depend on *both* libdbi-perl *an*
> perl-dbdabi-*, given that the latter is provided by the former?  Depending
> on libdbi-perl looks quite redundant to me.

I took that from Perl XS modules without too much thinking: dh_perl
usually adds a dependency on both perlapi-* and perl.  But after
thinking some more, I agree with you: The case of XS modules is
different.  There perlapi-* is provided by perl-base, but many modules
require functionality from the perl package.

I will remove the unversioned dependency on libdbi-perl that dh_perl_dbi
generates in the next upload.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#577513; Package libdbd-sybase-perl. (Wed, 21 Jul 2010 08:36:02 GMT) Full text and rfc822 format available.

Message #33 received at 577513@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 577513@bugs.debian.org
Subject: Re: libdbd-sybase-perl: DBI/DBD internal version mismatch
Date: Wed, 21 Jul 2010 17:34:20 +0900
severity 577513 important
thanks

Hi,

as the ABI change in libdbi-perl has been reverted, this bug is no
longer release-critical.

Regards,
Ansgar




Severity set to 'important' from 'grave' Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 21 Jul 2010 08:36:14 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:01 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 17:15:06 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Wed, 28 Sep 2011 18:09:13 GMT) Full text and rfc822 format available.

Notification sent to eyck <eyck.debian@kuszelas.eu>:
Bug acknowledged by developer. (Wed, 28 Sep 2011 18:09:13 GMT) Full text and rfc822 format available.

Message #44 received at 577513-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 577513-close@bugs.debian.org
Subject: Bug#577513: fixed in libdbd-sybase-perl 1.09-1
Date: Wed, 28 Sep 2011 18:05:13 +0000
Source: libdbd-sybase-perl
Source-Version: 1.09-1

We believe that the bug you reported is fixed in the latest version of
libdbd-sybase-perl, which is due to be installed in the Debian FTP archive:

libdbd-sybase-perl_1.09-1.diff.gz
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09-1.diff.gz
libdbd-sybase-perl_1.09-1.dsc
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09-1.dsc
libdbd-sybase-perl_1.09-1_amd64.deb
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09-1_amd64.deb
libdbd-sybase-perl_1.09.orig.tar.gz
  to main/libd/libdbd-sybase-perl/libdbd-sybase-perl_1.09.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577513@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated libdbd-sybase-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Sep 2011 17:42:20 +0000
Source: libdbd-sybase-perl
Binary: libdbd-sybase-perl
Architecture: source amd64
Version: 1.09-1
Distribution: unstable
Urgency: low
Maintainer: Steve Langasek <vorlon@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 libdbd-sybase-perl - Sybase/MS SQL database driver for the DBI module
Closes: 269198 329526 577513 643502
Changes: 
 libdbd-sybase-perl (1.09-1) unstable; urgency=low
 .
   * New upstream release.  Closes: #329526.
     - includes upstream fix for handling two sequential prepare()s without
       an execute().  Closes: #269198.
   * dbdimp.c: Add a patch from Raphael Descamps <raphael.descamps@1und1.de>
     to disable BLK_VERSION_* checks if NO_BLK isn't defined.
   * Add debian/watch file.
   * Makefile.PL: if libct isn't found on the filesystem, assume it's
     FreeTDS - fixing a build failure with multiarched freetds.
     Closes: #643502.
   * Switch to dh(1) and debhelper compat 8.
   * Build-depend on libdbi-perl (>= 1.612-1) for dh_perl_dbi, so we get a
     DBI ABI identifier in our package dependencies.  Closes: #577513.
   * Add ${misc:Depends} to make debhelper and lintian happy
   * Set Vcs-Bzr/Vcs-Browser in debian/control.
   * Bump policy-version to 3.9.2.
   * Put the manpage in the right '3pm' section, not '3perl' which is
     apparently meant only for perl itself.
Checksums-Sha1: 
 f1e94bc533fb5ce9eac5e767407be7f0948bf87c 1969 libdbd-sybase-perl_1.09-1.dsc
 23cad59ab7892732175336087093b1e3c2bda09a 194414 libdbd-sybase-perl_1.09.orig.tar.gz
 7d9ad528149a8a340110f915c1cedb3b6060b10f 3081 libdbd-sybase-perl_1.09-1.diff.gz
 64f7a8e0828699ac8ffbed1c9c9accc3161bfe68 133758 libdbd-sybase-perl_1.09-1_amd64.deb
Checksums-Sha256: 
 caed3d183b8f95453dff8ea174626d72641cf85d57ea9ecb86f0e9966d453d28 1969 libdbd-sybase-perl_1.09-1.dsc
 516d44567f1c76aa6aba76879a371d3a44f4a69da3b06b304f375eb57bb2daf1 194414 libdbd-sybase-perl_1.09.orig.tar.gz
 6a542845865578b1a2daf98e736824df6d78525872329c78f436237a6ae0a008 3081 libdbd-sybase-perl_1.09-1.diff.gz
 51e5612886c7ea768b6c3c3baf3d8508c62632ad3e81500cd44132ea31ea640d 133758 libdbd-sybase-perl_1.09-1_amd64.deb
Files: 
 75e63861041995c19bde691fcfe7c736 1969 perl optional libdbd-sybase-perl_1.09-1.dsc
 8ed2c2dd5df35cdee890fa8135e981ec 194414 perl optional libdbd-sybase-perl_1.09.orig.tar.gz
 b61b19de0437e62c04ac50169816c55b 3081 perl optional libdbd-sybase-perl_1.09-1.diff.gz
 42fa361ddc75f5df53e1d07fef746d6a 133758 perl optional libdbd-sybase-perl_1.09-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBToNdAFaNMPMhshM9AQgEuA//XhSV5wEE2k4XELWjd+n4CDALYJyUL8B4
Lu8KSC+9XBYKjDy06tgygkn6MSSV4cth95cvGR6dfJJGsgZ/UZS1PRUPnTO9hqU7
95mL8cXKnnr4u7U22oO+ZxTjqUaFbw2wVq6mYrexOG4y6X4GC5npLX3IXsgL6Hda
3/ejcRcZt+6EZFN+bkkCu0mL8TRQweHyOcVrV7vJXtGJVW8DnL5KWMT5mRmwXfg+
IIDjB8Pr8MRsGYx7r8/qxUfatGN9ht4yl0vMUUyLMHfMco7TcJFb/KiZAosQf3F0
SrB3UxgXVNlnZOj5WRY3CECEGWdUPHU0ZKyWcu0lTISh2ypIAmscJSBhNRhw5ucs
shcutjXeu6qi0vt9Rd1EnV+tmiSOPF+ut45Ap2u8d0J+xyhlCrGO1wQO12XfH7RJ
cWojE578R8FqGk8O6e9vCZlCycts+g59gt0o8Yt9XusVD217bnaTLn3YObL14TvQ
x85ThT4iHPv+TtkyEPXmTIfTo16VZonmD8ABrlwlGOS0yqWC6ntMDbwc1riRwCz/
GHR/+Gjkkb6a/xSYxPS6tKxZmRUIE+R4cPxlADZ6y1WvhmZebw3+S/SVfT48qDPd
eA3gjWXTa0A5J1vZqT8yFs6H7A4t332dDDNUeEe5V2MYBvh+5Mrco7kSDQnF/L7B
Z3EyCTwV6A8=
=0xuz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Oct 2011 07:32:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:10:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.